<?php
namespace Claromentis\Gallery\Search;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("_61a5ceb347019e37116d" . "4d2907163b82" => base64_decode("bWF0Y2hf" . "YWxs"), "_df945ac2fbdd1576202fb48096eb" . "43f9" => base64_decode("YWRtaW4ucGF" . "uZWxzX2xpc3" . "Q="), "_c61345ccedc39c1977427766" . "275e2da6" => base64_decode("aW1hZ2V" . "fZ2FsbG" . "VyeQ=="), "perm" . "s" => base64_decode("cGVy" . "bXM="));
use Claromentis\Core\Admin\AdminPanel;
use Claromentis\Core\Security\SecurityContext;
use Claromentis\Core\Services;
use Claromentis\Search\GlobalSearchItemInterface;
use Claromentis\Search\Permissions as SearchPermissions;





class GallerySearchGallery implements GlobalSearchItemInterface
{
    
    
    
    
    public function GetIndexingObject()
    {
        return new Indexing\GalleryIndexing();
    }
    
    
    
    
    
    
    public function GetPermissionsSearchFilter(SecurityContext $context)
    {
        $_9d8a16b274aa2655326eee6fb9000c83 = new SearchPermissions();
        
        
        $_9c58d9e285fddad133acf2e9dff4c4b5 = Services::I()->{$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_df945ac2fbdd1576202fb" . "48096eb43f9"]}->GetOne($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_c61345ccedc39c197742" . "7766275e2da6"]);
        if (!$_9c58d9e285fddad133acf2e9dff4c4b5->IsAccessible($context)) {
            return $_9d8a16b274aa2655326eee6fb9000c83->GetSearchFilter($context, $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["per" . "ms"]);
        } else {
            return [$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_61a5ceb347019e" . "37116d4d2907163" . "b82"] => new \stdClass()];
        }
    }
    
    
    
    
    public function GetView()
    {
        return new View\GalleryView();
    }
}